"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClickhouseDBRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class ClickhouseDBRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer(options) {
        const version = process.env.TEST_CLICKHOUSE_VERSION || options.version || '23.11';
        const container = new testcontainers_1.GenericContainer(`clickhouse/clickhouse-server:${version}`)
            .withExposedPorts(8123)
            .withStartupTimeout(10 * 1000);
        if (options.volumes) {
            const binds = options.volumes.map(v => ({ source: v.source, target: v.target, mode: v.bindMode }));
            container.withBindMounts(binds);
        }
        return container.start();
    }
}
exports.ClickhouseDBRunner = ClickhouseDBRunner;
//# sourceMappingURL=clickhouse.js.map